clear all
clc

% Motor parameters
% (to be set according to measurements)
L = 0.000435;          % inductance of one stator phase [H]
R = 0.56;              % resistance of one stator phase [Ohm]


% Bemf_Observer parameters
% (to be set according to the chosen control system dynamics)
Ts = 1e-4;              % sampling period [s]
i_Ksi = 0.707;          % current loop attenuation
i_fo = 300;             % current loop natural frequency [Hz]
i_wo = 2*pi*i_fo;       % current loop natural angular frequency [rad/s]


R_est = R;
L_est = L;

Kp = 2*i_Ksi*i_wo*L-R_est
Ki = i_wo^2*L_est